SchemaFactoryLoader (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.validation, class: SchemaFactoryLoader
Keywords: javax.xml.validation.SchemaFactoryLoader class

# Class SchemaFactoryLoader

java.lang.Object
javax.xml.validation.SchemaFactoryLoader

public abstract class SchemaFactoryLoader extends Object

Factory that creates `SchemaFactory`.

DO NOT USE THIS CLASS

This class was introduced as a part of an early proposal during the JSR-206 standardization process. The proposal was eventually abandoned but this class accidentally remained in the source tree, and made its way into the final version.

This class does not participate in any JAXP 1.3 or JAXP 1.4 processing. It must not be used by users or JAXP implementations.

Since:
  1.5

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SchemaFactoryLoader()`
  A do-nothing constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SchemaFactory`
  `newFactory(String schemaLanguage)`
  Creates a new `SchemaFactory` object for the specified schema language.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SchemaFactoryLoader

    protected SchemaFactoryLoader()
    A do-nothing constructor.

- ## Method Details

  - ### newFactory

    public abstract SchemaFactory newFactory(String schemaLanguage)
    Creates a new `SchemaFactory` object for the specified schema language.
    Parameters:
      `schemaLanguage` - See the list of available schema languages.
    Returns:
      `null` if the callee fails to create one.
    Throws:
      `NullPointerException` - If the `schemaLanguage` parameter is null.